{cursor}: Get parent containers of a SHA1 hash

API: circl.lu:hashlookup-circl-api
Endpoint: /parents/{sha1}/{count}/{cursor}
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 117ms

Description

Returns a list of package/container SHA1 hashes that contain the specified file. Use this to find which software distributions, archives, or packages include a specific file. Supports pagination via count and cursor parameters.

From spec: Return parent containers/packages that contain a given SHA1 hash. Used for finding which packages or archives contain a specific file. Pagination is supported via count and cursor parameters.

Usage Tips

- Input must be a valid 40-character hexadecimal SHA1 hash of a file - Use cursor from previous response for pagination - Returns up to 'count' results (max recommended: 100) - Total count returned to help with pagination planning

Parameters (3)

count (integer, path, required)

Number of results to return

Constraints: {'minimum': 1, 'maximum': 1000}

cursor (string, path, required)

Pagination cursor (starting value is 0)

sha1 (string, path, required)

Child SHA1 hash in hexadecimal format

Constraints: {'pattern': '^[a-fA-F0-9]{40}$'}

Examples (1)

Get parent containers for 'abc' test file probe-gate

Demonstrates paginated retrieval of parent containers for a file using SHA1 hash

curl 'https://hashlookup.circl.lu/parents/a9993e364706816aba3e25717850c26c9cd0d89d/10/0'
import requests

resp = requests.get("https://hashlookup.circl.lu/parents/a9993e364706816aba3e25717850c26c9cd0d89d/10/0")
data = resp.json()
import zingu_apis

api = zingu_apis.api("circl")
result = api.fetch("parents/{sha1}/{count}/{cursor}")

for item in result:
    print(item)
const resp = await fetch("https://hashlookup.circl.lu/parents/a9993e364706816aba3e25717850c26c9cd0d89d/10/0");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:10:27.725236 200 117ms
2026-04-15 01:25:10.897373 200 161ms
2026-04-14 03:33:38.035377 200 100ms
2026-04-12 14:05:45.760841 200 138ms
2026-04-10 01:30:11.340849 200 93ms
2026-04-09 03:35:15.893072 200 175ms
2026-04-08 00:10:28.732028 200 144ms
2026-04-07 00:37:37.720264 200 121ms